%define upstream_name    Shell
%define upstream_version 0.73

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 6

Summary:    Run shell commands transparently within perl
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module//%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::More)
BuildArch:  noarch

%description
Caveats
    This package is included as a show case, illustrating a few Perl
    features. It shouldn't be used for production programs. Although it
    does provide a simple interface for obtaining the standard output of
    arbitrary commands, there may be better ways of achieving what you
    need.

    Running shell commands while obtaining standard output can be done with
    the C<qx/STRING/> operator, or by calling C<open> with a filename
    expression that ends with C<|>, giving you the option to process one
    line at a time. If you don't need to process standard output at all,
    you might use C<system> (in preference of doing a print with the
    collected standard output).

    Since Shell.pm and all of the aforementioned techniques use your
    system's shell to call some local command, none of them is portable
    across different systems. Note, however, that there are several built
    in functions and library packages providing portable implementations of
    functions operating on files, such as: C<glob>, C<link> and C<unlink>,
    C<mkdir> and C<rmdir>, C<rename>, C<File::Compare>, C<File::Copy>,
    C<File::Find> etc.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Thu Jun 26 2025 umeabot <umeabot> 0.730.0-6.mga10
+ Revision: 2200638
- Mageia 10 Mass Rebuild

* Sun Mar 20 2022 umeabot <umeabot> 0.730.0-5.mga9
+ Revision: 1805670
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.730.0-4.mga8
+ Revision: 1497153
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.730.0-3.mga7
+ Revision: 1271165
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.730.0-2.mga6
+ Revision: 1033042
- Rebuild for perl 5.22.2

* Fri Apr 15 2016 shlomif <shlomif> 0.730.0-1.mga6
+ Revision: 1002294
- update to 0.73

* Mon Feb 08 2016 umeabot <umeabot> 0.720.0-6.mga6
+ Revision: 945731
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.720.0-5.mga5
+ Revision: 740404
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.720.0-4.mga5
+ Revision: 686195
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.720.0-3.mga4
+ Revision: 514606
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.720.0-2.mga3
+ Revision: 372628
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Aug 13 2012 jquelin <jquelin> 0.720.0-1.mga3
+ Revision: 281087
- imported package perl-Shell


* Mon Aug 13 2012 cpan2dist 0.72-1mga
- initial mageia release, generated with cpan2dist
